GroovyPosixCommands (Groovy 5.0.0)
Description: declaration: package: org.apache.groovy.groovysh.jline, class: GroovyPosixCommands

Package org.apache.groovy.groovysh.jline

# Class GroovyPosixCommands

java.lang.Object
org.jline.builtins.PosixCommands
org.apache.groovy.groovysh.jline.GroovyPosixCommands

public class GroovyPosixCommands extends org.jline.builtins.PosixCommands

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.jline.builtins.PosixCommands

  `org.jline.builtins.PosixCommands.CommandExecutor, org.jline.builtins.PosixCommands.Context, org.jline.builtins.PosixCommands.SortComparator`

- ## Field Summary

  ### Fields inherited from class org.jline.builtins.PosixCommands

  `DEFAULT_GREP_COLORS, DEFAULT_LS_COLORS`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GroovyPosixCommands()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static void`
  `cat(org.jline.builtins.PosixCommands.Context context, String[] argv)`
  `static void`
  `grep(org.jline.builtins.PosixCommands.Context context, String[] argv)`
  `static void`
  `less(org.jline.builtins.PosixCommands.Context context, String[] argv)`
  `static void`
  `ls(org.jline.builtins.PosixCommands.Context context, String[] argv)`

  ### Methods inherited from class org.jline.builtins.PosixCommands

  `applyStyle, applyStyle, cd, cd, clear, date, echo, echo, get, getColorMap, getColorMap, getColorMap, getLsColorMap, getLsColorMap, head, nano, parseOptions, pwd, sleep, sort, tail, ttop, watch, watch, wc`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### GroovyPosixCommands

    public GroovyPosixCommands()

- ## Method Details

  - ### cat

    public static void cat(org.jline.builtins.PosixCommands.Context context, String[] argv) throws Exception
    Throws:
      `Exception`

  - ### ls

    public static void ls(org.jline.builtins.PosixCommands.Context context, String[] argv) throws Exception
    Throws:
      `Exception`

  - ### grep

    public static void grep(org.jline.builtins.PosixCommands.Context context, String[] argv) throws Exception
    Throws:
      `Exception`

  - ### less

    public static void less(org.jline.builtins.PosixCommands.Context context, String[] argv) throws Exception
    Throws:
      `Exception`